rm *.o
rm *.a
rm *.so
rm main

# Without `-fvisibility=hidden` option, the problem occurs when using ctypes.
gcc -c hashtab.c
# `-fvisibility=hidden` option solves the problem. One has to add this comiling flag to SDDS.
#gcc -c hashtab.c -fvisibility=hidden
# `-fvisibility=protected` option also solves the problem. But this triggers other errors in the real situation.
#gcc -c hashtab.c -fvisibility=protected

ar rcs libmdbcommon.a hashtab.o

gcc -c get_beamline.c
gcc -c elegant.c
gcc elegant.o get_beamline.o -shared -o libelegant.so -L. -lmdbcommon

gcc -c main.c
gcc main.o -o main -L. -lelegant

echo
export LD_LIBRARY_PATH=.
echo Executing main
./main
echo
echo Executing python warper.py
python warper.py
